Skip to main content
`Ctrl`+`K`

# PetscViewerVUGetPointer

Extracts the file pointer from a `PETSCVIEWERVU` `PetscViewer`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscViewerVUGetPointer(PetscViewer viewer, FILE **fd)

Not Collective

## Input Parameter

- viewer - The `PetscViewer`

## Output Parameter

- fd - The file pointer

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERVU`, `PetscViewerASCIIGetPointer()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/vu/petscvu.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages